Subject: Re: [PATCH 0/4] Honor core.deltaBaseCacheLimit during index-pack

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 17 Jul 2008 21:35:50 +0000

Nicolas Pitre <[email-masked]> wrote:
> On Thu, 17 Jul 2008, Stephan Hennig wrote:
> > Even though Git now makes some efforts to substitute runtime
> > for memory to be able to operate with low(er) memory, I think it would
> > still be informative for a user that repository and hardware, resp.
> > core.deltaBaseCacheLimit, are, say, incompatible.  If valuable objects
> > have to be discarded due to memory restrictions a warning could be
> > issued to make the user aware of this fact, e.g.,
> > 
> >   Warning! Low memory. Git might be slowing down.
> 
> Well, I disagree.  First we don't know how slow git would effectively be 
> since all (my) concerns so far were totally theoretical.  It will still 
> work better than, say, 'git verify-pack' nevertheless. And git should 
> just do its best regardless and avoid being needlessly verbose.

Actually, this warning may be a good idea.  I'll post an RFC patch
for it in a few minutes.  If people hate the idea, that's what an
RFC is for.  :)

-- 
Shawn.